echo "Now sourcing packages from the following ubuntu distros containers:"

# ubuntu:latest
echo "ubuntu:latest"
docker run ubuntu:latest /bin/bash -c "apt-get update >/dev/null; apt-get install lz4 > /dev/null; lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_latest_source_packages.container 

# ubuntu:18.04
echo "ubuntu:18.04"
echo "NOT WORKING"
#docker run ubuntu:18.04 /bin/bash -c "apt-get update && apt-get install lz4 && lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_18.04_source_packages.container

# ubuntu:20.04
echo "ubuntu:20.04"
docker run ubuntu:20.04 /bin/bash -c "apt-get update >/dev/null; apt-get install lz4 > /dev/null; lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_20.04_source_packages.container

# ubuntu:22.04
echo "ubuntu:22.04"
docker run ubuntu:22.04 /bin/bash -c "apt-get update >/dev/null; apt-get install lz4 > /dev/null; lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_22.04_source_packages.container

# ubuntu:22.10
echo "ubuntu:22.10"
docker run ubuntu:22.10 /bin/bash -c "apt-get update > /dev/null; apt-get install lz4 > /dev/null; lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_22.10_source_packages.container

# ubuntu:14.04
echo "ubuntu:14.04"
echo "NOT WORKING"
#docker run ubuntu:14.04 /bin/bash -c "apt-get update && apt-get install lz4 && lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_14.04_source_packages.container

# ubuntu:16.04
echo "ubuntu:16.04"
echo "NOT WORKING"
#docker run ubuntu:16.04 /bin/bash -c "apt-get update && apt-get install lz4 && lz4cat /var/lib/apt/lists/*_Packages.lz4 | grep ^Source | cut -f 2 -d : | cut -f 2 -d ' ' | sort -u" > package_data/ubuntu_16.04_source_packages.container

